# Method: organizations.locations.securityHealthAnalyticsCustomModules.create

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/create#try-it)

Creates a resident `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityHealthAnalyticsCustomModules#SecurityHealthAnalyticsCustomModule` at the scope of the given organization, folder, or project, and also creates inherited `SecurityHealthAnalyticsCustomModule` resources for all folders and projects that are descendants of the given parent. These modules are enabled by default.

### HTTP request

`POST https://securitycentermanagement.googleapis.com/v1/{parent=organizations/*/locations/*}/securityHealthAnalyticsCustomModules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the parent organization, folder, or project of the module, in one of the following formats: - `organizations/{organization}/locations/{location}` - `folders/{folder}/locations/{location}` - `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` Optional. When set to `true`, the request will be validated (including IAM checks), but no module will be created. An `OK` response indicates that the request is valid, while an error response indicates that the request is invalid. If the request is valid, a subsequent request to create the module could still fail for one of the following reasons: - The state of your cloud resources changed; for example, you lost a required IAM permission - An error occurred during creation of the module Defaults to `false`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityHealthAnalyticsCustomModules#SecurityHealthAnalyticsCustomModule`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityHealthAnalyticsCustomModules#SecurityHealthAnalyticsCustomModule`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `securitycentermanagement.securityHealthAnalyticsCustomModules.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).